Atualizar perfil comercial
curl --request PATCH \
--url https://api.ararahq.com/v1/organizations/me/business-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
description: '<string>',
aboutShort: '<string>',
email: '<string>',
websites: ['<string>'],
businessHours: {},
profilePhotoUrl: '<string>',
awayMessage: '<string>'
})
};
fetch('https://api.ararahq.com/v1/organizations/me/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/organizations/me/business-profile"
payload = {
"displayName": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": ["<string>"],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/organizations/me/business-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'description' => '<string>',
'aboutShort' => '<string>',
'email' => '<string>',
'websites' => [
'<string>'
],
'businessHours' => [
],
'profilePhotoUrl' => '<string>',
'awayMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"metaSyncStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"vertical": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>",
"metaSyncedAt": "2023-11-07T05:31:56Z",
"metaSyncError": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Números
Atualizar perfil comercial
Salva localmente e marca metaSyncStatus = PENDING. Para publicar no
WhatsApp, chame /sync. Permissão: ADMIN.
PATCH
/
v1
/
organizations
/
me
/
business-profile
Atualizar perfil comercial
curl --request PATCH \
--url https://api.ararahq.com/v1/organizations/me/business-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
description: '<string>',
aboutShort: '<string>',
email: '<string>',
websites: ['<string>'],
businessHours: {},
profilePhotoUrl: '<string>',
awayMessage: '<string>'
})
};
fetch('https://api.ararahq.com/v1/organizations/me/business-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/v1/organizations/me/business-profile"
payload = {
"displayName": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": ["<string>"],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/v1/organizations/me/business-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'description' => '<string>',
'aboutShort' => '<string>',
'email' => '<string>',
'websites' => [
'<string>'
],
'businessHours' => [
],
'profilePhotoUrl' => '<string>',
'awayMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"metaSyncStatus": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"vertical": "<string>",
"description": "<string>",
"aboutShort": "<string>",
"email": "<string>",
"websites": [
"<string>"
],
"businessHours": {},
"profilePhotoUrl": "<string>",
"awayMessage": "<string>",
"metaSyncedAt": "2023-11-07T05:31:56Z",
"metaSyncError": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Body
application/json
Maximum string length:
120Available options:
AUTO, BEAUTY, APPAREL, EDU, ENTERTAIN, EVENT_PLAN, FINANCE, GROCERY, GOVT, HOTEL, HEALTH, NONPROFIT, PROF_SERVICES, RETAIL, TRAVEL, RESTAURANT, NOT_A_BIZ, OTHER Maximum string length:
140Maximum string length:
160Response
Perfil atualizado